xmltooling::params Class Reference

Wrapper around a variable number of arguments. More...

`#include <xmltooling/exceptions.h>`

Inheritance diagram for xmltooling::params:

## Public Member Functions

| params ()
| Initializes with zero parameters.
| params (int count,...)
| Initializes the parameter set.
const std::vector< const char * > & | get () const
| Returns an immutable reference to the set of parameters.

## Protected Attributes

std::vector< const char * > | v
| Contains the parameters being passed.

## Detailed Description

Wrapper around a variable number of arguments.

## Constructor & Destructor Documentation

## params()

xmltooling::params::params | ( | int | count,
|  |  | ... )

Initializes the parameter set.

Parameters

  count | the number of parameters that follow

## Member Function Documentation

## get()

const std::vector< const char * > & xmltooling::params::get | ( |  | ) | const

inline

Returns an immutable reference to the set of parameters.

Returns
  the parameter set

The documentation for this class was generated from the following file:

- xmltooling/exceptions.h